Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations
PUTBare Metal Management OperationsSince 2.6.0SynchronousAuth Required

InspectBaremetalChassis

InspectBaremetalChassis

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the bare metal chassis.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBaremetalChassisInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the bare metal chassis.

    • nameStringRequired

      The name of the bare metal chassis.

    • descriptionStringRequired

      The detailed description of the bare metal chassis.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • pxeServerUuidStringRequired

      No description provided.

    • ipmiAddressStringRequired

      The IPMI address of the bare metal chassis.

    • ipmiPortIntegerRequired

      The IPMI port of the bare metal chassis.

    • ipmiUsernameStringRequired

      The IPMI username.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The time when the bare metal chassis was created.

    • lastOpDateTimestampRequired

      The time when the bare metal chassis was last modified.

Endpoint

PUT/zstack/v1/baremetal/chassis/{uuid}/actions

/zstack/v1/baremetal/chassis/{uuid}/actions

Operation ID

InspectBaremetalChassis

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/baremetal/chassis/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "a4871bb97ab03c818419484564fadbfb", "ipmiAddress": "1.1.1.1", "ipmiPort": 623.0, "ipmiUsername": "root", "ipmiPassword": "password", "state": "Enabled", "status": "PxeBooting" } }

Change History

This API has no change history records yet.

View all change history